Package fr.gouv.vitam.common.model.processing

# Enum Class UriPrefix

java.lang.Object
java.lang.Enum<UriPrefix>
fr.gouv.vitam.common.model.processing.UriPrefix

All Implemented Interfaces:
  `Serializable`, `Comparable<UriPrefix>`, `Constable`

public enum UriPrefix extends Enum<UriPrefix>
HandlerIO argument Types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MEMORY`
  Memory based argument
  `MEMORY_SINGLE`
  `VALUE`
  Fixe value based argument
  `WORKSPACE`
  Workspace based argument
  `WORKSPACE_OBJECT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UriPrefix`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UriPrefix[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WORKSPACE

    public static final UriPrefix WORKSPACE
    Workspace based argument

  - ### WORKSPACE_OBJECT

    public static final UriPrefix WORKSPACE_OBJECT

  - ### MEMORY

    public static final UriPrefix MEMORY
    Memory based argument

  - ### MEMORY_SINGLE

    public static final UriPrefix MEMORY_SINGLE

  - ### VALUE

    public static final UriPrefix VALUE
    Fixe value based argument

- ## Method Details

  - ### values

    public static UriPrefix[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UriPrefix valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null